Package com.smartgwt.client.types

# Enum DataPointSizeScalingMode

java.lang.Object
java.lang.Enum<DataPointSizeScalingMode>
com.smartgwt.client.types.DataPointSizeScalingMode

All Implemented Interfaces:
  `ValueEnum`, `Serializable`, `Comparable<DataPointSizeScalingMode>`, `Constable`

public enum DataPointSizeScalingMode extends Enum<DataPointSizeScalingMode> implements ValueEnum
The scaling mode used to map `FacetChart.pointSizeMetric` values to data point sizes.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `AFFINE`
  `POWER`
  `PROPORTIONAL`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getValue()`
  `static DataPointSizeScalingMode`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static DataPointSizeScalingMode[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### AFFINE

    public static final DataPointSizeScalingMode AFFINE

  - ### PROPORTIONAL

    public static final DataPointSizeScalingMode PROPORTIONAL

  - ### POWER

    public static final DataPointSizeScalingMode POWER

- ## Method Details

  - ### values

    public static DataPointSizeScalingMode[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static DataPointSizeScalingMode valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public String getValue()
    Specified by:
      `getValue` in interface `ValueEnum`